Subject: Your package is on its way to you #28520212

From: Silverwoods <[email-masked]>
Date: Thu, 18 May 2023 03:15:27 +0300

Hello
Your Galaxus Loyalty Card is on its way to you 

Your Galaxus Loyalty Card has just left the warehouse. You can track your delivery via Track & Trace from tomorrow. 

Delivery address   

unidentified 

Package delivery   

CPF 057 200 664 645 

Track shipment  

Delivery details 

You can find the current delivery status as well as all the information and receipts in your order. Please note that orders are sometimes sent in multiple shipments.. 

The following product was sent dated 17.05.2023: 

- 

- 

1×

- 

Galaxus Loyalty Card    

- 

View information  

More questions? 

You can find answers to the most frequently asked questions in our Help Centre. 

Where can I find my orders and invoices? 

How do I return an item? 

My product is defective, what can I do? 

To the Help Center  

Kind regards 

Galaxus 

This is an automatically generated email, please do not reply. Answers to questions and further support can be found in the Helpcenter. 

Cancel shipment confirmation 

Silverwoods Alter Wall 8063882 Miltenberg 

Silverwoods 

Silverwoods: Luca Schroeder 

USt-ID-Nr: DE082253685, Bayreuther Strasse 6472766 Reutlingen Reicheneck 

© 2023 Silverwoods GmbH